Add Favorite
curl --request POST \
--url https://api.thefaithapp.com/v1/favorites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <x-api-key>' \
--data '
{
"media_id": 123
}
'import requests
url = "https://api.thefaithapp.com/v1/favorites"
payload = { "media_id": 123 }
headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<x-api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({media_id: 123})
};
fetch('https://api.thefaithapp.com/v1/favorites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>"
}Engagement
Add Favorite
Adds a media item to the authenticated member’s favorites.
POST
/
v1
/
favorites
Add Favorite
Adds a media item to the authenticated member’s favorites.
Example request
{
"media_id": 1
}
Request inputs
Your client API key from the dashboard (Settings page).
Media ID to add to favorites.
Response fields
Indicates whether the favorite mutation completed successfully.
Confirms whether the media was added now or was already in the member’s favorites.
Example response
{
"status": "Success",
"message": "Media added to favorites"
}
Was this page helpful?
⌘I